package com.usky.iot.mapper;

import com.usky.iot.domain.BaseFacilityType;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.iot.service.vo.BaseGgpFacilityTypeNumVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 设施类型 Mapper 接口
 * </p>
 *
 * @author han
 * @since 2023-06-06
 */
@Repository
public interface BaseFacilityTypeMapper extends CrudMapper<BaseFacilityType> {
    List<BaseGgpFacilityTypeNumVO> typeNumList(@Param("tenantId") Integer tenantId);
    List<BaseGgpFacilityTypeNumVO> facilitTypeNumList();
    List<BaseGgpFacilityTypeNumVO> typeNormalNumList(@Param("tenantId") Integer tenantId);
    List<BaseGgpFacilityTypeNumVO> typeUpkeepNumList(@Param("tenantId") Integer tenantId);
    List<BaseGgpFacilityTypeNumVO> typeCloseNumList(@Param("tenantId") Integer tenantId);
    List<BaseFacilityType> typeList(@Param("typeId") String typeId);
}
